summaryrefslogtreecommitdiff
path: root/dev-go
diff options
context:
space:
mode:
authorWilliam Hubbs <williamh@gentoo.org>2015-09-08 09:03:05 -0500
committerWilliam Hubbs <williamh@gentoo.org>2015-09-08 09:03:05 -0500
commitbfa900b0460aa0eee7d944acb9c898511a251dea (patch)
treea3a90e0d1130cc790dd3f7495552208960bfaa80 /dev-go
parentbase/package.use.mask: mask USE=gnutls for mail-client/mutt, bug #559834 (diff)
downloadgentoo-bfa900b0460aa0eee7d944acb9c898511a251dea.tar.gz
gentoo-bfa900b0460aa0eee7d944acb9c898511a251dea.tar.bz2
gentoo-bfa900b0460aa0eee7d944acb9c898511a251dea.zip
dev-go/go-tools: new snapshot
Diffstat (limited to 'dev-go')
-rw-r--r--dev-go/go-tools/Manifest1
-rw-r--r--dev-go/go-tools/go-tools-0_pre20150902.ebuild93
2 files changed, 94 insertions, 0 deletions
diff --git a/dev-go/go-tools/Manifest b/dev-go/go-tools/Manifest
index 12ffecd8a2e..fdc59acaed4 100644
--- a/dev-go/go-tools/Manifest
+++ b/dev-go/go-tools/Manifest
@@ -1,3 +1,4 @@
DIST go-favicon.ico 1150 SHA256 d76ca702a6d81e20ddd31c8c5a4368130e7c68d990600316f6f1c9509bd38ba7 SHA512 194c4b3c360321a10f714b6755d9155de6129682b4070d19b52d0d5706fcbd1d244ea38c33fd77fe1dec85b3e39720dd0a62f5b126803036fbc8337a9d72fea6 WHIRLPOOL f55a84a28812bffd1fa38e098e6ba7d757bdefc0e20c3d8ef767fb1bc7d6e2cfbb8d1ae0593e81cce17c27f60e6aacf094e6c67b1f592c0546090feab9d3830f
DIST go-tools-0_pre20150805.tar.gz 1633388 SHA256 80db6fc563df50eb924dbf4f96cef287fc6b89cc8b98595c1dac3c80a118f290 SHA512 80813c2da74c7b25fa2cfd15b2505757e7f466469ac701cb22d190dc83a607f091c4dea207a2e371e53d7a1f5459e7b53e5eea53c95565e958a6eb7fcb212359 WHIRLPOOL 3b000f830d81c35e6f76a9883d9430eb7fe0f546a36579a150a7bd8f825146a0623726a98a7b7f764825c9fee30af1f89b3bbc98efeaf05fe8f64bbb127a1f68
DIST go-tools-0_pre20150823.tar.gz 1633447 SHA256 12ac4c5e49134a7dcc9c2f3123d20562463d83360a6e1d2fc6ace5ec025a31ae SHA512 6d906bae8433182e7a105a46b92c4f64ac145196ccc72f8934376fc49e5d554182931745e92229c4571323a6eba9ce2f680b5add3844ecb593a194cbbc1b0b63 WHIRLPOOL acb3ac4e5abcc56a37bec461a7e4170e4a45ebd917ed9ca1dd016c92756a01b0ed0887e525bc17acd7a88a34fd5f9495a5ffa63f58a05d547e2fba17c4ff9a8e
+DIST go-tools-0_pre20150902.tar.gz 1633723 SHA256 d10d6e33222446bccc8c3541b32412c058db14a834a6b0e8aa0b36d5b10723e0 SHA512 b11d8da7391cc139dc66a1f744cab6e9049680c7ecd6285389d4cee80b3b0bc901a0469e6a5ae7d1d5fda7ea2967aa0415b967beaa3c4ac68ab59cb1a54c95be WHIRLPOOL cc7dabd477ec00628003ba233036cc86849da80ada28a26f8f730e973ed64811b159217a4f0aa49403d77af4e9b2ca77a6ce40137d32a8c38e2d449b9bd1524e
diff --git a/dev-go/go-tools/go-tools-0_pre20150902.ebuild b/dev-go/go-tools/go-tools-0_pre20150902.ebuild
new file mode 100644
index 00000000000..aa176ff4d38
--- /dev/null
+++ b/dev-go/go-tools/go-tools-0_pre20150902.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+EGO_PN="golang.org/x/tools/..."
+
+if [[ ${PV} = *9999* ]]; then
+ inherit golang-vcs
+else
+ EGIT_COMMIT="1330b28"
+ ARCHIVE_URI="https://github.com/golang/tools/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64"
+ inherit golang-vcs-snapshot
+fi
+inherit golang-build
+
+DESCRIPTION="Go Tools"
+HOMEPAGE="https://godoc.org/golang.org/x/tools"
+SRC_URI="${ARCHIVE_URI}
+ http://golang.org/favicon.ico -> go-favicon.ico"
+LICENSE="BSD"
+SLOT="0"
+IUSE=""
+DEPEND="dev-go/go-net:=
+ !<dev-lang/go-1.5"
+RDEPEND=""
+
+src_prepare() {
+ local go_src="${EGO_PN%/...}"
+ # disable broken tests
+ sed -e 's:TestWeb(:_\0:' \
+ -i src/${go_src}/cmd/godoc/godoc_test.go || die
+ sed -e 's:TestVet(:_\0:' \
+ -i src/${go_src}/cmd/vet/vet_test.go || die
+ sed -e 's:TestImport(:_\0:' \
+ -i src/${go_src}/go/gcimporter/gcimporter_test.go || die
+ sed -e 's:TestImportStdLib(:_\0:' \
+ -i src/${go_src}/go/importer/import_test.go || die
+ sed -e 's:TestStdlib(:_\0:' \
+ -i src/${go_src}/go/loader/stdlib_test.go || die
+ sed -e 's:TestStdlib(:_\0:' \
+ -i src/${go_src}/go/ssa/stdlib_test.go || die
+ sed -e 's:TestGorootTest(:_\0:' \
+ -e 's:TestFoo(:_\0:' \
+ -e 's:TestTestmainPackage(:_\0:' \
+ -i src/${go_src}/go/ssa/interp/interp_test.go || die
+ sed -e 's:TestBar(:_\0:' \
+ -e 's:TestFoo(:_\0:' \
+ -i src/${go_src}/go/ssa/interp/testdata/a_test.go || die
+ sed -e 's:TestCheck(:_\0:' \
+ -i src/${go_src}/go/types/check_test.go || die
+ sed -e 's:TestStdlib(:_\0:' \
+ -e 's:TestStdFixed(:_\0:' \
+ -e 's:TestStdKen(:_\0:' \
+ -i src/${go_src}/go/types/stdlib_test.go || die
+ sed -e 's:TestRepoRootForImportPath(:_\0:' \
+ -i src/${go_src}/go/vcs/vcs_test.go || die
+ sed -e 's:TestStdlib(:_\0:' \
+ -i src/${go_src}/refactor/lexical/lexical_test.go || die
+
+ # Add favicon to the godoc web interface (bug 551030)
+ cp "${DISTDIR}"/go-favicon.ico "src/${go_src}/godoc/static/favicon.ico" ||
+ die
+ sed -e 's:"example.html",:\0\n\t"favicon.ico",:' \
+ -i src/${go_src}/godoc/static/makestatic.go || die
+ sed -e 's:<link type="text/css":<link rel="icon" type="image/png" href="/lib/godoc/favicon.ico">\n\0:' \
+ -i src/${go_src}/godoc/static/godoc.html || die
+}
+
+src_compile() {
+ # Generate static.go with favicon included
+ pushd src/golang.org/x/tools/godoc/static >/dev/null || die
+ go run makestatic.go || die
+ popd >/dev/null
+
+ golang-build_src_compile
+}
+
+src_install() {
+ # Create a writable GOROOT in order to avoid sandbox violations.
+ cp -sR "$(go env GOROOT)" "${T}/goroot" || die
+
+ GOROOT="${T}/goroot" golang-build_src_install
+
+ # bug 558818: install binaries in $GOROOT/bin to avoid file collisions
+ exeinto "$(go env GOROOT)/bin"
+ doexe bin/* "${T}/goroot/bin/godoc"
+ dodir /usr/bin
+ ln "${ED}$(go env GOROOT)/bin/godoc" "${ED}usr/bin/godoc" || die
+
+ rm "${D}"$(go env GOROOT)/bin/{cover,vet} || die
+}